const RegisterCard = () => {
  return (
    <div className="mt-10 md:w-1/4 max-w-[500px] pl-3 md:self-end">
      <div
        className="md:hidden pb-3 px-5 text-soafee-black typography-b1 min-h-[130px] md:min-h-[170px]"
        style={{ borderLeft: 'solid 2px #dedc00' }}
      >
        Welcome to the Scalable Open Architecture for Embedded Edge special interest group (SIG), known as SOAFEE for
        short.
      </div>
      <div
        className="hidden md:block pb-3 px-5 text-soafee-black typography-b1 min-h-[130px] md:min-h-[170px]"
        style={{ borderLeft: 'solid 2px #dedc00' }}
      >
        Welcome to the Scalable Open Architecture for Embedded Edge special interest group (SIG), known as SOAFEE for
        short.
      </div>
      {/* mobile */}
      <div className="md:hidden pb-[60px] pt-3 pl-5" style={{ backgroundColor: '#dedc00' }}>
        <a className="flex items-center" href="mailto:info@soafee.io" target="_blank">
          <div className="pr-2 text-soafee-black typography-tag3">Register Now</div>
          <svg width="33" height="17" viewBox="0 0 35 22" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M28.7269 11.321V10.6813L32.394 10.6813L28.027 3.48298L28.0234 3.48893L27.6499 2.87214L28.027 2.25049L33.3354 11.0007L28.027 19.7499L27.6541 19.1353L28.0785 18.4345L32.394 11.321L28.7269 11.321Z"
              fill="#292728"
            />
            <path
              d="M28.7269 10.6813L28.7269 9.70823H27.7538V10.6813H28.7269ZM28.7269 11.321H27.7538V12.2941H28.7269L28.7269 11.321ZM32.394 10.6813L32.394 11.6544H34.1225L33.226 10.1766L32.394 10.6813ZM28.027 3.48298L28.859 2.97827L28.027 1.60688L27.1951 2.9783L28.027 3.48298ZM28.0234 3.48893L27.1911 3.99297L28.0227 5.36626L28.8554 3.9936L28.0234 3.48893ZM27.6499 2.87214L26.818 2.36744L26.5121 2.87169L26.8176 3.37618L27.6499 2.87214ZM28.027 2.25049L28.859 1.74579L28.027 0.37441L27.1951 1.7458L28.027 2.25049ZM33.3354 11.0007L34.1673 11.5054L34.4735 11.0007L34.1673 10.496L33.3354 11.0007ZM28.027 19.7499L27.1951 20.2546L28.027 21.6259L28.8589 20.2547L28.027 19.7499ZM27.6541 19.1353L26.8218 18.6312L26.5163 19.1357L26.8222 19.64L27.6541 19.1353ZM28.0785 18.4345L27.2465 17.9298L27.2461 17.9305L28.0785 18.4345ZM32.394 11.321L33.226 11.8257L34.1225 10.348L32.394 10.348L32.394 11.321ZM27.7538 10.6813V11.321H29.6999V10.6813H27.7538ZM32.394 9.70823L28.7269 9.70823L28.7269 11.6544L32.394 11.6544L32.394 9.70823ZM27.1951 3.98769L31.5621 11.186L33.226 10.1766L28.859 2.97827L27.1951 3.98769ZM28.8554 3.9936L28.859 3.98765L27.1951 2.9783L27.1915 2.98425L28.8554 3.9936ZM26.8176 3.37618L27.1911 3.99297L28.8558 2.98488L28.4822 2.36809L26.8176 3.37618ZM27.1951 1.7458L26.818 2.36744L28.4818 3.37683L28.859 2.75518L27.1951 1.7458ZM34.1673 10.496L28.859 1.74579L27.1951 2.75519L32.5034 11.5054L34.1673 10.496ZM28.8589 20.2547L34.1673 11.5054L32.5034 10.4959L27.1951 19.2452L28.8589 20.2547ZM26.8222 19.64L27.1951 20.2546L28.859 19.2452L28.4861 18.6306L26.8222 19.64ZM27.2461 17.9305L26.8218 18.6312L28.4865 19.6393L28.9108 18.9386L27.2461 17.9305ZM31.5621 10.8163L27.2465 17.9298L28.9104 18.9392L33.226 11.8257L31.5621 10.8163ZM28.7269 12.2941L32.394 12.2941L32.394 10.348L28.7269 10.348L28.7269 12.2941Z"
              fill="#292728"
            />
            <rect
              x="0.89918"
              y="10.3259"
              width="30.8826"
              height="1.35062"
              fill="#292728"
              stroke="#292728"
              strokeWidth="1.21633"
            />
          </svg>
        </a>
      </div>
      {/* desktop */}
      <div className="hidden md:block pb-[60px] pt-3 pl-5" style={{ backgroundColor: '#dedc00' }}>
        <a className="flex items-center" href="mailto:info@soafee.io" target="_blank">
          <div className="pr-2 text-soafee-black typography-tag3">Register Now</div>
          <svg width="33" height="17" viewBox="0 0 35 22" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path
              fillRule="evenodd"
              clipRule="evenodd"
              d="M28.7269 11.321V10.6813L32.394 10.6813L28.027 3.48298L28.0234 3.48893L27.6499 2.87214L28.027 2.25049L33.3354 11.0007L28.027 19.7499L27.6541 19.1353L28.0785 18.4345L32.394 11.321L28.7269 11.321Z"
              fill="#292728"
            />
            <path
              d="M28.7269 10.6813L28.7269 9.70823H27.7538V10.6813H28.7269ZM28.7269 11.321H27.7538V12.2941H28.7269L28.7269 11.321ZM32.394 10.6813L32.394 11.6544H34.1225L33.226 10.1766L32.394 10.6813ZM28.027 3.48298L28.859 2.97827L28.027 1.60688L27.1951 2.9783L28.027 3.48298ZM28.0234 3.48893L27.1911 3.99297L28.0227 5.36626L28.8554 3.9936L28.0234 3.48893ZM27.6499 2.87214L26.818 2.36744L26.5121 2.87169L26.8176 3.37618L27.6499 2.87214ZM28.027 2.25049L28.859 1.74579L28.027 0.37441L27.1951 1.7458L28.027 2.25049ZM33.3354 11.0007L34.1673 11.5054L34.4735 11.0007L34.1673 10.496L33.3354 11.0007ZM28.027 19.7499L27.1951 20.2546L28.027 21.6259L28.8589 20.2547L28.027 19.7499ZM27.6541 19.1353L26.8218 18.6312L26.5163 19.1357L26.8222 19.64L27.6541 19.1353ZM28.0785 18.4345L27.2465 17.9298L27.2461 17.9305L28.0785 18.4345ZM32.394 11.321L33.226 11.8257L34.1225 10.348L32.394 10.348L32.394 11.321ZM27.7538 10.6813V11.321H29.6999V10.6813H27.7538ZM32.394 9.70823L28.7269 9.70823L28.7269 11.6544L32.394 11.6544L32.394 9.70823ZM27.1951 3.98769L31.5621 11.186L33.226 10.1766L28.859 2.97827L27.1951 3.98769ZM28.8554 3.9936L28.859 3.98765L27.1951 2.9783L27.1915 2.98425L28.8554 3.9936ZM26.8176 3.37618L27.1911 3.99297L28.8558 2.98488L28.4822 2.36809L26.8176 3.37618ZM27.1951 1.7458L26.818 2.36744L28.4818 3.37683L28.859 2.75518L27.1951 1.7458ZM34.1673 10.496L28.859 1.74579L27.1951 2.75519L32.5034 11.5054L34.1673 10.496ZM28.8589 20.2547L34.1673 11.5054L32.5034 10.4959L27.1951 19.2452L28.8589 20.2547ZM26.8222 19.64L27.1951 20.2546L28.859 19.2452L28.4861 18.6306L26.8222 19.64ZM27.2461 17.9305L26.8218 18.6312L28.4865 19.6393L28.9108 18.9386L27.2461 17.9305ZM31.5621 10.8163L27.2465 17.9298L28.9104 18.9392L33.226 11.8257L31.5621 10.8163ZM28.7269 12.2941L32.394 12.2941L32.394 10.348L28.7269 10.348L28.7269 12.2941Z"
              fill="#292728"
            />
            <rect
              x="0.89918"
              y="10.3259"
              width="30.8826"
              height="1.35062"
              fill="#292728"
              stroke="#292728"
              strokeWidth="1.21633"
            />
          </svg>
        </a>
      </div>
    </div>
  );
};

export default RegisterCard;
